SKUセレクタで在庫数の箇所に何もいれていなくても「只今お取扱い出来ません」となる。

ホーム フォーラム 拡張プラグイン SKUセレクタで在庫数の箇所に何もいれていなくても「只今お取扱い出来ません」となる。

このトピックには8件の返信が含まれ、2人の参加者がいます。4 ヶ月前 yskysmr さんが最後の更新を行いました。

9件の投稿を表示中 - 1 - 9件目 (全9件中)
  • 投稿者
    投稿
  • #88077

    sakai_project
    参加者

    SKUセレクタで在庫数の箇所に何もいれていなくても「只今お取扱い出来ません」となり、カートに商品を追加できません。
    SKUセレクタを停止すると、商品を追加できます。(当然ですが、すべてのSKUがページ上に表示されます)

    テーマはWelcartBasic、プラグインは本体も拡張プラグインも最新です。
    影響を与えそうなプラグインは全て停止して確認しています。

    選択項目は7つあり、組み合わせ(SKU数)は800弱になります。

    SKUセレクタでカートに入れれるようにしたいのですが、何が問題でしょうか。

    #88089

    yskysmr
    キーマスター

    こんにちは。

    お手数ですが、下記のご記入をお願いいたします。
    ——————————————-
    WordPress のバージョン:(例 5.2.2)
    Welcart のバージョン:(例 1.9.20)
    PHP のバージョン:(例 7.2)
    Welcart専用の拡張プラグインとバージョン:(例 DL Seller 3.0.8、SKU Select 1.1.4)
    ご利用のテーマ:(例 WelcartBasic の自作子テーマ)
    症状を確認したブラウザ:
    サーバー:(会社名、サービス名)
    SSLの利用:(例 常時SSL)
    ——————————————–

    #88093

    sakai_project
    参加者

    記載漏れており申し訳ありません。

    WordPress のバージョン:(5.1.1)
    Welcart のバージョン:(1.9.20)
    PHP のバージョン:(7.1.5)
    Welcart専用の拡張プラグインとバージョン:(SKU Select 1.1.4)
    ご利用のテーマ:(WelcartBasic)
    症状を確認したブラウザ:Chorome 75.0.3770.142
    サーバー:(会社名、サービス名)ロリポップ ライトプラン
    SSLの利用:(なし)

    以上になります。

    #88095

    yskysmr
    キーマスター

    sakai_project 様

    選択項目は7つあり、組み合わせ(SKU数)は800弱になります。

    とのことですが、ひとつの商品にSKUが800弱登録されているということでしょうか。

    #88096

    sakai_project
    参加者

    おっしゃる通りです。
    1つの商品に800弱のSKUが存在します。

    登録に関しては
    .htaccessに
    php_value max_input_vars 10000

    を設定して、無事登録することができました。

    #88100

    yskysmr
    キーマスター

    sakai_project 様

    該当の商品の商品詳細ページを要素検証ツールで見て、エラーが表示されていませんでしょうか。

    #88103

    sakai_project
    参加者

    JQMIGRATE: Migrate is installed, version 1.4.1
    というメッセージが出ています。
    これが影響しているのでしょうか。

    #88111

    sakai_project
    参加者

    原因はわからないままでしたが、別の方法(マルチプライスプラグイン)で対応しました。
    サーバーのスペックかもしれないです。
    (php_value max_input_vars 10000 の値を下げたら挙動が変わったりしたので)

    とりあえずこの質問はここまでとします。
    親切に対応してくださり、ありがとうございました。

    #88126

    yskysmr
    キーマスター

    sakai_project 様

    JQMIGRATE: Migrate is installed, version 1.4.1 が表示されることは、特に問題ありません。
    また挙動がおかしいと感じられましたら、ご報告ください。

9件の投稿を表示中 - 1 - 9件目 (全9件中)

このトピックに返信するにはログインが必要です。